/** 
 * Copyright (C) 2013 Quan Wang <wangq10@rpi.edu>
 * Signal Analysis and Machine Perception Laboratory
 * Department of Electrical, Computer, and Systems Engineering
 * Rensselaer Polytechnic Institute, Troy, NY 12180, USA
 */

/**
 * The is a demo showing how to use the binary Fisher LDA package for classification
 * 
 * @author Quan Wang
 *
 */

public class DemoBinaryFisherLDA {

	public static void main(String[] args) {
			
		double[][] features={{0,0},{2,1},{3,4},{9,8},{6,3},{4,7},{1,2}};
		int[] labels={0,0,0,1,1,1,1};
		
		FisherLdaModel model=FisherTrain.train(features, labels);
		model.print(); // print Fisher LDA model parameters
		model.saveModelToJson("FisherModel.json"); // save Fisher LDA model to file
		
		BinaryEvaluation eva=FisherPredict.predict(features, model, labels);
		eva.print(); // show evaluation results

	}

}
